visageSDK

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Attributes | List of all members
VisageSDK::ScreenSpaceGazeData Struct Reference

ScreenSpaceGazeData is a container structure used to hold the gaze point location, current state of screen space gaze tracking system and gaze tracking estimation quality parameters for the current frame. More...

`#include <TrackerGazeCalibrator.h>`

## Public Attributes
int | index
| Index of the video frame. More...
float | x
| X coordinate of screen space gaze normalized to screen width. More...
float | y
| Y coordinate of screen space gaze normalized to screen height. More...
int | inState
| Flag indicating the state of the gaze estimator for the current frame. More...
float | quality
| The frame level gaze tracking quality. More...

## Detailed Description

ScreenSpaceGazeData is a container structure used to hold the gaze point location, current state of screen space gaze tracking system and gaze tracking estimation quality parameters for the current frame.

This class is used both to store the calibration points during the calibration phase and the estimation results during the estimation phase.

Definition at line 180 of file TrackerGazeCalibrator.h.

## Member Data Documentation

int VisageSDK::ScreenSpaceGazeData::index

Index of the video frame.

In online mode the frame index corresponds to the sum of the number of calibration frames passed to the tracker and the number of frames processed in the estimation phase.

In offline mode the index is the frame number in the processed video sequence.

Definition at line 187 of file TrackerGazeCalibrator.h.

int VisageSDK::ScreenSpaceGazeData::inState

Flag indicating the state of the gaze estimator for the current frame.

If inState is 0 the estimator is off and position is default.

If inState is 1 the estimator is calibrating and returns calibration data for the current frame.

If inState is 2 the estimator is estimating and returns the estimated screen space gaze coordinates.

If inState is -1 the estimator is calibrating but the tracking/screen space gaze estimation failed for the current frame (position is default)

If inState is -2 the estimator is estimating but the tracking/screen space gaze estimation failed for the current frame (position is default)

Definition at line 211 of file TrackerGazeCalibrator.h.

float VisageSDK::ScreenSpaceGazeData::quality

The frame level gaze tracking quality.

Quality is returned as a value from 0 to 1, where 0 is the worst and 1 is the best quality. The quality is 0 also when the gaze tracking is off or calibrating.

Definition at line 217 of file TrackerGazeCalibrator.h.

float VisageSDK::ScreenSpaceGazeData::x

X coordinate of screen space gaze normalized to screen width.

0 corresponds to the left-most point and 1 to the right-most points of the screen. Defaults to 0.5.

Definition at line 192 of file TrackerGazeCalibrator.h.

float VisageSDK::ScreenSpaceGazeData::y

Y coordinate of screen space gaze normalized to screen height.

0 corresponds to the top-most point and 1 to the bottom-most points of the screen. Defaults to 0.5.

Definition at line 197 of file TrackerGazeCalibrator.h.

The documentation for this struct was generated from the following file:

- TrackerGazeCalibrator.h